Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453133 - Review Request: nethogs - top-like tool for network bandwidth
Summary: Review Request: nethogs - top-like tool for network bandwidth
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Mahut
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 14:28 UTC by Anderson Silva
Modified: 2008-06-29 22:01 UTC (History)
2 users (show)

Fixed In Version: 0.7-2.20080627cvs.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-29 22:00:45 UTC
mmahut: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Proposed patch (deleted)
2008-06-27 14:50 UTC, Marek Mahut
no flags Details

Description Anderson Silva 2008-06-27 14:28:12 UTC
Spec URL: http://www.the-silvas.com-a.googlepages.com/nethogs.spec
SRPM URL: http://www.the-silvas.com-a.googlepages.com/nethogs-0.7-1.20080627cvs.fc8.src.rpm
Description: 
NetHogs is a small "net top" tool.

Instead of breaking the traffic down per protocol or per subnet, like
most such tools do, it groups bandwidth by process and does not rely
on a special kernel module to be loaded.

So if there's suddenly a lot of network traffic, you can fire up
NetHogs and immediately see which PID is causing this, and if it's
some kind of spinning process, kill it.

NOTE 1 - This tool is under the Fedora Packages WishList.
NOTE 2 - I currently maintain the rpmrebuild packages as well, therefore this is *NOT* my first package.

Comment 1 Marek Mahut 2008-06-27 14:38:52 UTC
Hey Anderson,

This package does not build under gcc 4.3 (>Fedora 9), patching is needed.

  g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
  --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm 
  conninode.cpp: In function 'void addtoconninode(char*)':
  conninode.cpp:48: error: 'exit' was not declared in this scope
  conninode.cpp: In function 'void refreshconninode()':
  conninode.cpp:162: error: 'exit' was not declared in this scope
  make: *** [conninode.o] Error 1
  make: *** Waiting for unfinished jobs....

Comment 2 Marek Mahut 2008-06-27 14:50:05 UTC
Created attachment 310442 [details]
Proposed patch

In gcc 4.3, the headers been cleaned up to compile and run faster, but now you
have to be sure that you #include everything you really use in the application
itself...

Comment 3 Marek Mahut 2008-06-27 14:55:29 UTC
Please submit a new patched package that will build under gcc 4.3 and also
rpmlint is not happy about lib dependencies.

 nethogs.i386: E: explicit-lib-dependency libcap 
 nethogs.i386: E: explicit-lib-dependency libstdc++


Comment 4 Anderson Silva 2008-06-27 14:58:37 UTC
Marke, the rpmlint issue has been fixed... you were too quick for me :-)

I've contacted upstream about the issue with the compilation, I will try to fix it, and submit them 
a patch.

Comment 5 Anderson Silva 2008-06-27 15:15:48 UTC
Ok... net spec updloaded, and new src rpm that compiles under Fedora 

Spec URL: http://www.the-silvas.com-a.googlepages.com/nethogs.spec
SRPM URL: http://www.the-silvas.com-a.googlepages.com/
nethogs-0.7-2.20080627cvs.fc9.src.rpm

Comment 6 Anderson Silva 2008-06-27 15:16:49 UTC
Fixing URL:

SRPM URL: http://www.the-silvas.com-a.googlepages.com/
nethogs-0.7-2.20080627cvs.fc9.src.rpm



Comment 7 Anderson Silva 2008-06-27 15:18:27 UTC
Last try, my browser is being stupid:

Spec URL: http://www.the-silvas.com-a.googlepages.com/nethogs.spec
SRPM URL:
http://www.the-silvas.com-a.googlepages.com/nethogs-0.7-2.20080627cvs.fc9.src.rpm

Comment 8 Marek Mahut 2008-06-27 16:47:23 UTC
Package looks sane, all works.

APPROVED.

Comment 9 Anderson Silva 2008-06-27 16:58:08 UTC
New Package CVS Request
=======================
Package Name: nethogs
Short Description: top-like tool for network bandwidth
Owners: afsilva
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-06-27 17:03:42 UTC
cvs done.

Comment 11 Fedora Update System 2008-06-27 19:03:10 UTC
nethogs-0.7-2.20080627cvs.fc8 has been submitted as an update for Fedora 8

Comment 12 Fedora Update System 2008-06-27 19:04:46 UTC
nethogs-0.7-2.20080627cvs.fc9 has been submitted as an update for Fedora 9

Comment 13 Fedora Update System 2008-06-28 22:15:51 UTC
nethogs-0.7-2.20080627cvs.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nethogs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5810

Comment 14 Fedora Update System 2008-06-29 22:00:43 UTC
nethogs-0.7-2.20080627cvs.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2008-06-29 22:01:02 UTC
nethogs-0.7-2.20080627cvs.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.